
#ifndef _dvbcore_h_
#define _dvbcore_h_

typedef int (*devControlFn_t)(void *, struct dvbapi *);
#define DEVCONTROLFN(x)	reinterpret_cast<devControlFn_t>(x)

typedef void (*netEventFn_t)(void *, int);
#define NETEVENTFN(x)   reinterpret_cast<netEventFn_t>(x)

extern void *
dvbCreate(device_t dev, unsigned char *MacAddress,
			void *devdata, devControlFn_t devControlFn,
			void *netdata, netEventFn_t netEvent);

extern int
dvbRelease(void *);

extern int
dvbDemuxTS(void *, unsigned char *buf, unsigned int len);

extern int
dvbDemuxMPE(void *, unsigned char *buf, unsigned int len);

extern int
dvbResetTS(void *);

#endif
