
#ifndef _eeprom_h_
#define _eeprom_h_

class CEEPROM
{
protected:
	CFlexI2C	*m_pFlexI2C;

public:
	CEEPROM(class CFLexI2C *flexi2c);
	~CEEPROM();

	int	read(unsigned short addr, unsigned char *buf, unsigned short len);
	int	write(unsigned short addr, unsigned char *buf, unsigned short len);

	int	LRC_read(unsigned int addr, unsigned int len, unsigned char *buf, int retr);
	int	LRC_write(unsigned int addr, unsigned int len, unsigned char *wbuf, unsigned char *rbuf, int retr);

	int	getMacAddr(char type, unsigned char *mac);
	int	setMacAddr(char type, unsigned char *mac);
};

#endif
