
#ifndef _stb6100_h_
#define _stb6100_h_

#define RSTB6100_LD                           0x0  /* reg */
#define FSTB6100_LD                           0x0  /* pos 0, size 1 */


#define RSTB6100_VCO                          0x1  /* reg */
#define FSTB6100_OSCH                         0x1  /* pos 7, size 1 */
#define FSTB6100_OCK                          0x2  /* pos 5, size 2 */
#define FSTB6100_ODIV                         0x3  /* pos 4, size 1 */
#define FSTB6100_OSM                          0x4  /* pos 0, size 4 */


#define RSTB6100_NI                           0x2  /* reg */
#define FSTB6100_NI                           0x5  /* pos 0, size 8 */


#define RSTB6100_NF_LSB                       0x3  /* reg */
#define FSTB6100_NF_LSB                       0x6  /* pos 0, size 8 */


#define RSTB6100_K                            0x4  /* reg */
#define FSTB6100_K                            0x7  /* pos 6, size 2 */
#define FSTB6100_PSD2                         0x8  /* pos 2, size 1 */
#define FSTB6100_NF_MSB                       0x9  /* pos 0, size 2 */


#define RSTB6100_G                            0x5  /* reg */
#define FSTB6100_GCT                          0xA  /* pos 5, size 3 */
#define FSTB6100_G                            0xB  /* pos 0, size 4 */


#define RSTB6100_F                            0x6  /* reg */
#define FSTB6100_F                            0xC  /* pos 0, size 5 */


#define RSTB6100_DLB                          0x7  /* reg */
#define FSTB6100_DLB                          0xD  /* pos 3, size 3 */


#define RSTB6100_TEST1                        0x8  /* reg */
#define FSTB6100_TEST1                        0xE  /* pos 0, size 8 */


#define RSTB6100_TEST2                        0x9  /* reg */
#define FSTB6100_FCCK                         0xF  /* pos 6, size 1 */


#define RSTB6100_LPEN                         0xA  /* reg */
#define FSTB6100_BEN                         0x10  /* pos 7, size 1 */
#define FSTB6100_OSCP                        0x11  /* pos 6, size 1 */
#define FSTB6100_SYNP                        0x12  /* pos 5, size 1 */
#define FSTB6100_LPEN                        0x13  /* pos 4, size 1 */


#define RSTB6100_TEST3                        0xB  /* reg */
#define FSTB6100_TEST3                       0x14  /* pos 0, size 8 */

#endif
