
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _fifodemux_h_
#define _fifodemux_h_

class CFifo;
//class CSoftScheduler;
class CTSDemux;

class CFifoDemux
{
protected:
	CFifo		*tsfifo;
	CTSDemux	*tsdemux;

	unsigned char	*tsbuffer;
	//CSoftScheduler	*sched;
	struct task	fifodemux_task;

	unsigned int	m_dwFifoSmallSize;
	unsigned int	m_dwFifoInvalidSize;
	unsigned int	m_dwFifoDemuxSize;

public:
	CFifoDemux(CFifo *tsfifo, CTSDemux *tsdemux);
	~CFifoDemux();

	void	Dump(void);

	int	IsOK(void);

	static	void	DemuxFifo(CFifoDemux *fifodemux, int);

	int	DequeueFifo(void);
	void	Schedule(void);
};

#endif

