
#ifndef _i2c_h_
#define _i2c_h_

struct _I2CBUS
{
	unsigned int    device; //device        unk0
	unsigned int    unk4;   //bus
	unsigned int    retr;   //retr  unk8

	unsigned char   unkC;
	unsigned char   unkD;	//
	unsigned char   unkE;
	unsigned char   unkF;	//base_addr

	unsigned int    eeprom;	//eeprom        //unk10
	unsigned int    unk14;	//chip_addr
	unsigned int    unk18;	//banksw
	unsigned int    wait;	//delay //ukn1C        unsigned int    device; //device        unk0
	unsigned int    unk4;	//bus
	unsigned int    retr;	//retr  unk8

	unsigned char   unkC;
	unsigned char   unkD;	//
	unsigned char   unkE;
	unsigned char   unkF;	//base_addr

	unsigned int    eeprom;	//eeprom        //unk10
	unsigned int    unk14;	//chip_addr
	unsigned int    unk18;	//banksw
	unsigned int    wait;	//delay //ukn1C
};
	
class CFLexI2C
{
protected:
	class CSpci	*m_pSpci;
public:
	CFlexI2C(class CSpci *pci);
	~CFLexI2C();

	int I2cRW(unsigned int device, unsigned int bus, unsigned int dir,
			unsigned int addr, unsigned char *buf, unsigned int len,
			unsigned int unkC, unsigned int retr, unsigned int unkD,
			unsigned int unkE, unsigned int unkF, unsigned int unk14,
			unsigned int eeprom, unsigned int bank);

	int Read4(unsigned int device, unsigned int bus,
			unsigned int addr, unsigned char *buf, unsigned int len,
			unsigned int unkC, unsigned int retr, unsigned int unkD,
			unsigned int unkE, unsigned int unkF, unsigned int unk14,
			unsigned int eeprom, unsigned int bank);

	int Write4(unsigned int device, unsigned int bus,
			unsigned int addr, unsigned char *buf, unsigned int len,
			unsigned int unkC, unsigned int retr, unsigned int unkD,
			unsigned int unkE, unsigned int unkF, unsigned int unk14,
			unsigned int eeprom, unsigned int bank);

	unsigned int BusRead(struct _I2CBUS *bus, unsigned int addr,
				unsigned char *buf, unsigned int len);

	unsigned int BusWrite(struct _I2CBUS *bus, unsigned int addr,
				unsigned char *buf, unsigned int len);

	unsigned int Read(unsigned int device, unsigned int bus,
				unsigned int addr, unsigned char *buf, unsigned int len);

	unsigned int Write(unsigned int device, unsigned int bus,
				unsigned int addr, unsigned char *buf, unsigned int len);
};

#endif
